TESTING/EIG/zerred.f(3)

NAME
TESTING/EIG/zerred.f

SYNOPSIS

  Functions/Subroutines
subroutine zerred (path, nunit)
ZERRED

Function/Subroutine Documentation

  subroutine zerred (character*3 path, integer nunit)

ZERRED

Purpose:

    !>
    !> ZERRED tests the error exits for the eigenvalue driver routines for
    !> DOUBLE COMPLEX PRECISION matrices:
    !>
    !> PATH  driver   description
    !> ----  ------   -----------
    !> ZEV   ZGEEV    find eigenvalues/eigenvectors for nonsymmetric A
    !> ZES   ZGEES    find eigenvalues/Schur form for nonsymmetric A
    !> ZVX   ZGEEVX   ZGEEV + balancing and condition estimation
    !> ZSX   ZGEESX   ZGEES + balancing and condition estimation
    !> ZBD   ZGESVD   compute SVD of an M-by-N matrix A
    !>       ZGESDD   compute SVD of an M-by-N matrix A(by divide and
    !>                conquer)
    !>       ZGEJSV   compute SVD of an M-by-N matrix A where M >= N
    !>       ZGESVDX  compute SVD of an M-by-N matrix A(by bisection
    !>                and inverse iteration)
    !>       ZGESVDQ  compute SVD of an M-by-N matrix A(with a
    !>                QR-Preconditioned )
    !>

Parameters
    PATH

    !>          PATH is CHARACTER*3
    !>          The LAPACK path name for the routines to be tested.
    !>

    NUNIT

    !>          NUNIT is INTEGER
    !>          The unit number for output.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 69 of file zerred.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.